package com.ruoyi.project.plant.service;

import java.util.List;
import com.ruoyi.project.plant.domain.TTargetlist;

/**
 * 目标录入Service接口
 * 
 * @author ruoyi
 * @date 2020-11-24
 */
public interface ITTargetlistService 
{
    /**
     * 查询目标录入
     * 
     * @param id 目标录入ID
     * @return 目标录入
     */
    public TTargetlist selectTTargetlistById(Long id);

    /**
     * 查询目标录入列表
     * 
     * @param tTargetlist 目标录入
     * @return 目标录入集合
     */
    public List<TTargetlist> selectTTargetlistList(TTargetlist tTargetlist);

    /**
     * 查询目标录入列表(目标措施)
     *
     * @param tTargetlist 目标录入
     * @return 目标录入集合
     */
    public List<TTargetlist> selectListMeasures(TTargetlist tTargetlist);

    public List<TTargetlist> selectAllContent(TTargetlist tTargetlist);
    public List<TTargetlist> selectAllMeasures(TTargetlist tTargetlist);

    /**
     * 新增目标录入
     * 
     * @param tTargetlist 目标录入
     * @return 结果
     */
    public int insertTTargetlist(TTargetlist tTargetlist);

    /**
     * 修改目标录入
     * 
     * @param tTargetlist 目标录入
     * @return 结果
     */
    public int updateTTargetlist(TTargetlist tTargetlist);

    /**
     * 批量删除目标录入
     * 
     * @param ids 需要删除的目标录入ID
     * @return 结果
     */
    public int deleteTTargetlistByIds(Long[] ids);

    /**
     * 删除目标录入信息
     * 
     * @param id 目标录入ID
     * @return 结果
     */
    public int deleteTTargetlistById(Long id);
}
